Skip to main content

Create Event

POSThttps://api.propexo.com/crm/v1/events/

Create an event for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    prospect_idstring

    The Propexo unique identifier for the prospect

    events object[]

    Events to create or update for the prospect. Only ELISE_REACTIVATED events are currently supported.

    Possible values: >= 1

  • Array [
  • event_idstring

    EliseAI event identifier

    typestringrequired

    The name or type of event. Only ELISE_REACTIVATED is currently supported.

    Show 1 enum value
    ELISE_REACTIVATED
    event_datestring<date-time>required

    The date when the event will occur

  • ]
  • community_idstring

    The Propexo unique identifier for the community

    attribution_idstring

    The Propexo unique identifier for the attribution. Required for CALL events

    agent_idstring

    The Propexo unique identifier for the agent. Required for SMS, CHAT, CALL, and EMAIL events

    event_namestring

    The name or type of event

    Show 5 enum values
    SMSCHATCALLEMAILACTIVITY
    event_datetimestring<date-time>

    The date when the event will occur. Required for SMS, CHAT, ACTIVITY, and EMAIL events

    notesstring

    Notes associated with the event. Required for SMS, CHAT, and ACTIVITY events

    email_bodystring

    The body of the email. Required for EMAIL events

    email_subjectstring

    The subject of the email. Required for EMAIL events

    call_statusstring

    The status of the call. Required for CALL events

    Show 6 enum values
    ANSWEREDMISSED_NO_VOICEMAILMISSED_VOICEMAILHUNG_UPFAILEDTERMINATED
    time_fromstring<date-time>

    The start time of the event. Required for CALL events

    time_tostring<date-time>

    The end time of the event. Required for CALL events

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/events/
curl -X POST https://api.propexo.com/crm/v1/events/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}